Skip to main content
GET
/
api
/
v0
/
deployments
show deployments
curl --request GET \
  --url https://console.vast.ai/api/v0/deployments/ \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "deployments": [
    {
      "id": 644,
      "name": "square",
      "tag": "default",
      "image": "vastai/base-image:latest",
      "endpoint_id": 25121,
      "env": "<string>",
      "file_hash": "<string>",
      "s3_key": "<string>",
      "search_params": "<string>",
      "current_version_id": 123,
      "last_healthy_version_id": 123,
      "storage": 16,
      "ttl": 123,
      "last_client_heartbeat": 123,
      "created_at": 123,
      "updated_at": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vast.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Response

A list of deployments

success
boolean
Example:

true

deployments
object[]